Bug 789512 - ipplan using deprecated functions
Summary: ipplan using deprecated functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ipplan
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-10 23:30 UTC by Roger Håkansson
Modified: 2012-08-25 20:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-25 20:01:11 UTC


Attachments (Terms of Use)

Description Roger Håkansson 2012-02-10 23:30:57 UTC
Description of problem:
PHP 5.3.3 (Linux)
Unknown error type: [8192] Function set_magic_quotes_runtime() is deprecated
Line: 57 File: /usr/share/ipplan/ipplanlib.php
Function eregi_replace() is deprecated
...

Version-Release number of selected component (if applicable):
ipplan-4.92-3.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install
2. Configure
3. run

Actual results:
In red
If you see this message, submit a detailed bug report on Sourceforge including
the message below, the database platform used and the steps to perform to
recreate the problem.

PHP 5.3.3 (Linux)
Unknown error type: [8192] Function set_magic_quotes_runtime() is deprecated
Unknown error type: [8192] Function eregi_replace() is deprecated Line: 462 File: /usr/share/ipplan/ipplanlib.php
......

Expected results:
No error

Additional info:
Resolution for bug 663897 fixed this problem for fc13,fc14,fc15 and el5 but both the current rpm and srpm for el6 is in pre-663897 state.

Comment 1 Fedora Update System 2012-08-04 10:54:38 UTC
ipplan-4.92-5.b.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ipplan-4.92-5.b.el6

Comment 2 Fedora Update System 2012-08-05 06:40:16 UTC
Package ipplan-4.92-5.b.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ipplan-4.92-5.b.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6612/ipplan-4.92-5.b.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-08-25 20:01:11 UTC
ipplan-4.92-5.b.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.